const app = getApp()
import {
	Base
} from '../../..//utils/base.js';
const base = new Base()
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		coach_id: '',
		showUserInfo: true, //用户信息是否显示
		userInfo: '',
		userTel: '',
		noticeCount: 0, // 家长回复小红点
		show: false,
		subjectShow: false,
		subjectList: [],
	},

	onLoad: function (options) {
		this.setData({
			coach_id: app.globalData.coach_id
		})
		this.getSubjectlist()
	},
	onShow() {
		let userInfo = wx.getStorageSync('userInfo');
		let userTel = wx.getStorageSync('userTel')
		if (userInfo && userTel) {
			this.setData({
				showUserInfo: true
			})
			this.getInfo()
		} else {
			this.setData({
				showUserInfo: false
			})
		}
	},
	getInfo() {
		let params = {
			url: 'coach/info',
			data: {
				coach_id: this.data.coach_id
			},
			callback: (data) => {
				this.setData({
					userInfo: data,
					userTel: data.wx_user.tel.substr(0, 3) + '****' + data.wx_user.tel.substring(7, 11)
				})
			}
		}
		base.newRequest(params)
	},
	goLogin() {
		wx.navigateTo({ // 登录
			url: '/pages/sign/login/login',
		})
	},
	goUserInfo() { // 账户信息修改
		wx.navigateTo({
			url: '/pages/sign/info/info',
		})
	},
	goparents: function () {
		wx.navigateTo({
			url: '../../my/parents/parents',
		})
	},
	goteachingArea: function () {
		wx.navigateTo({
			url: '../../my/teachingArea/teachingArea',
		})
	},
	getSubjectlist: function () {
		let params = {
			url: 'coach/course',
			data: {
				coach_id: app.globalData.coach_id,
			},
			callback: (data) => {
				this.setData({
					subjectList: data
				})
			}
		}
		base.newRequest(params)
	},
	//教学科目弹窗
	tcHold: function (e) {
		this.setData({
			subjectShow: !this.data.subjectShow
		})
	},
	chooseOne(e) {
		let index = e.currentTarget.dataset.index
		let list = this.data.subjectList
		if (list[index].isChecked) {
			list[index].isChecked = false
		} else {
			list[index].isChecked = true
		}
		this.setData({
			subjectList: list
		})
	},
	confirm() {
		var arr = []
		var newArr = []
		for (var i = 0; i < this.data.subjectList.length; i++) {
			if (this.data.subjectList[i].isChecked == true) {
				arr.push(this.data.subjectList[i])
				newArr.push(this.data.subjectList[i].id)
			}
		}
		if (arr.length == 0) {
			base.toast('教学科目至少选择一项')
		} else {
			let params = {
				url: 'coach/save_course',
				data: {
					coach_id: app.globalData.coach_id,
					course_ids: JSON.stringify(newArr)
				},
				type: 'POST',
				callback: (data) => {
					base.toast('保存科目成功')
					this.setData({
						subjectShow: false
					})
					this.getInfo()
				}
			}
			base.newRequest(params)
		}
	},
	// goCall: function (e) {
	// 	wx.showModal({
	// 		content: '确定要拨打电话吗？',
	// 		success(res) {
	// 			if (res.confirm) {
	// 				wx.makePhoneCall({
	// 					phoneNumber: '15630107218'
	// 				})
	// 			}
	// 		}
	// 	})
	// }
})